ES | EN

📄 MIPYME Documents

Update customer/supplier

PUT
Endpoint URL https://api-billing.koywe.com/V1/customers_suppliers/{customer_supplier_id}
Requires authentication

Authentication

Send header Authorization: Bearer <token> (obtained from POST /auth) for protected endpoints.

Parameters

NameLocationTypeRequiredDescription
customer_supplier_idpathstring

Request body — fields

FieldTypeRequiredDescription
account_idintegerAlways requiredAssociated account.
namestringAlways requiredName of the customer or supplier.
is_customerbooleanOptionalIndicates if the entity is a customer.
is_supplierbooleanOptionalIndicates if the entity is a supplier.
responsible_user_idintegerOptionalID of the user responsible for this entity.
payment_termstringOptionalPayment terms for the customer or supplier.
contactsarray<object>OptionalList of contacts associated with the customer or supplier.
contacts[].first_namestringOptionalFirst name of the contact.
contacts[].last_namestringOptionalLast name of the contact.
contacts[].phonestringOptionalPhone number of the contact.
contacts[].emailstringOptionalEmail address of the contact.
invoicing_detailsarray<object>OptionalList of invoicing details associated with the customer or supplier.
invoicing_details[].country_idstringOptionalIdentifier for the country.
invoicing_details[].tax_id_typestringOptionalType of tax ID.
invoicing_details[].tax_id_codestringOptionalTax ID code.
invoicing_details[].legal_namestringOptionalLegal name of the entity.
invoicing_details[].addressstringOptionalAddress of the entity.
invoicing_details[].districtstringOptionalDistrict of the address.
invoicing_details[].citystringOptionalCity of the address.
invoicing_details[].business_activitystringOptionalBusiness activity of the entity.
invoicing_details[].phonestringOptionalPhone number for invoicing purposes.
invoicing_details[].postal_codestringOptionalPostal code of the address.
additionalobjectOptionalAdditional data associated with the customer or supplier.
additional.data_name_1stringOptionalName of additional data field 1.
additional.data_value_1stringOptionalValue of additional data field 1.
additional.data_name_2stringOptionalName of additional data field 2.
additional.data_value_2stringOptionalValue of additional data field 2.
additional.data_name_3stringOptionalName of additional data field 3.
additional.data_value_3stringOptionalValue of additional data field 3.
additional.data_name_4stringOptionalName of additional data field 4.
additional.data_value_4stringOptionalValue of additional data field 4.
additional.data_name_5stringOptionalName of additional data field 5.
additional.data_value_5stringOptionalValue of additional data field 5.

Request body — JSON example

{
    "account_id": 0,
    "name": "string",
    "is_customer": true,
    "is_supplier": true,
    "responsible_user_id": 0,
    "payment_term": "0,30",
    "contacts": [
        {
            "first_name": "string",
            "last_name": "string",
            "phone": "string",
            "email": "string"
        }
    ],
    "invoicing_details": [
        {
            "country_id": "string",
            "tax_id_type": "string",
            "tax_id_code": "string",
            "legal_name": "string",
            "address": "string",
            "district": "string",
            "city": "string",
            "business_activity": "string",
            "phone": "string",
            "postal_code": "string"
        }
    ],
    "additional": {
        "data_name_1": "string",
        "data_value_1": "string",
        "data_name_2": "string",
        "data_value_2": "string",
        "data_name_3": "string",
        "data_value_3": "string",
        "data_name_4": "string",
        "data_value_4": "string",
        "data_name_5": "string",
        "data_value_5": "string"
    }
}

Responses

Product updated successfully